Subject: bug#39822: 27.0.90; Cannot set *Completions* buffer height using display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Mar 2020 01:47:40 +0200

>> Do you propose to rewrite 'completion--insert-strings' for accept a new
>> argument 'window'?  Or to rely on the fact that the displayed window should
>> be already selected by its caller?  Will this break backward-compatibility
>> for packages that use it?
>
> Maybe it's overkill but I'd give 'completion--insert-strings' an
> additional window argument.

Yes, it's overkill.  I can't imagine a situation when the
*Completions* buffer needs to be displayed in two windows.

I see that you proposed this as a use case that justifies
adding a WINDOW arg to 'after-display-function'.
But I already agreed about adding a new arg to
'after-display-function', and will add it anyway.